package cn.hhj.service;

import cn.hhj.annotation.RpcService;
import cn.hhj.version.Version;
import cn.hhj.vo.User;


@RpcService(value = IHelloService.class,version = Version.V2)
public class HelloServiceImpl implements IHelloService {
    @Override
    public String sayHello(Object content) {
        System.out.println("request in sayHello:"+content);
        return "【ECHO】："+content;
    }

    @Override
    public String saveUser(User user) {
        System.out.println("request in saveUser:"+user);
        return "SUCCESS";
    }
}
