package cn.hhj.proxy;

import cn.hhj.proxy.remote.RemoteInvocationHandler;

import java.lang.reflect.Proxy;

public class RpcProxyClient {
    public static  <T> T clientProxy(final Class<T> interfaceCls){
        return (T) Proxy.newProxyInstance(interfaceCls.getClassLoader(),
                new Class<?>[]{interfaceCls},
                new RemoteInvocationHandler());
    }

    public  <T> T getClientProxy(final Class<T> interfaceCls){
        return (T) Proxy.newProxyInstance(interfaceCls.getClassLoader(),
                new Class<?>[]{interfaceCls},
                new RemoteInvocationHandler());
    }
}
