package cn.hhj.proxy;

import cn.hhj.constant.Constant;
import cn.hhj.handler.ProcessorHandler;

import java.net.ServerSocket;
import java.net.Socket;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class RpcProxyServer  {
    ExecutorService executorService=Executors.newCachedThreadPool();
    /**
     * @param service 要暴露的服务接口
     */
    public void push(Object service) throws Exception{
        ServerSocket serverSocket=null;
        serverSocket=new ServerSocket(Constant.SERVER_PORT);
        while (true){// 不断接收请求
            Socket socket=serverSocket.accept();
            executorService.execute(new ProcessorHandler(socket,service));
        }
    }
}

